Bug 829918 - rhc-0.93.18-1.el6_2 - broken dependencies again
rhc-0.93.18-1.el6_2 - broken dependencies again
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Troy Dawson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 15:54 EDT by Alexander Todorov
Modified: 2015-05-14 21:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2012-06-07 15:54:38 EDT
Description of problem:

Running yum update:

--> Running transaction check
---> Package rhc.noarch 0:0.92.11-1.el6_2 will be updated
---> Package rhc.noarch 0:0.93.18-1.el6_2 will be an update
--> Processing Dependency: rubygem-sshkey for package: rhc-0.93.18-1.el6_2.noarch
--> Processing Dependency: rubygem-net-ssh for package: rhc-0.93.18-1.el6_2.noarch
--> Processing Dependency: rubygem-commander for package: rhc-0.93.18-1.el6_2.noarch
--> Processing Dependency: rubygem-archive-tar-minitar for package: rhc-0.93.18-1.el6_2.noarch
--> Running transaction check
---> Package rhc.noarch 0:0.93.18-1.el6_2 will be an update
--> Processing Dependency: rubygem-net-ssh for package: rhc-0.93.18-1.el6_2.noarch
--> Processing Dependency: rubygem-commander for package: rhc-0.93.18-1.el6_2.noarch
--> Processing Dependency: rubygem-archive-tar-minitar for package: rhc-0.93.18-1.el6_2.noarch
---> Package rubygem-sshkey.noarch 0:1.3.0-1.el6_2 will be installed
--> Finished Dependency Resolution
Error: Package: rhc-0.93.18-1.el6_2.noarch (openshift-express)
           Requires: rubygem-archive-tar-minitar
Error: Package: rhc-0.93.18-1.el6_2.noarch (openshift-express)
           Requires: rubygem-net-ssh
Error: Package: rhc-0.93.18-1.el6_2.noarch (openshift-express)
           Requires: rubygem-commander
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



I'm on RHEL 6.2 and I don't use EPEL.
Comment 1 Clayton Coleman 2012-06-07 16:13:13 EDT
Troy, are these packages in the LI repo?
Comment 2 Troy Dawson 2012-06-07 16:30:37 EDT
Nope.  I'll get them up there for RHEL6 right now, and then start work on getting in for RHEL5.
Comment 3 Troy Dawson 2012-06-07 17:33:25 EDT
I believe I have this is fixed for RHEL6.

# yum --disablerepo=epel clean all
...
# yum --disablerepo=epel install rhc
...
Installed:
  rhc.noarch 0:0.93.18-1.el6_2                                                  

Dependency Installed:
  rubygem-archive-tar-minitar.noarch 0:0.5.2-3.1.el6_2                          
  rubygem-commander.noarch 0:4.0.3-4.el6_2                                      
  rubygem-highline.noarch 0:1.5.1-3.el6                                         
  rubygem-mime-types.noarch 0:1.16-4.el6_0                                      
  rubygem-net-ssh.noarch 0:2.5.2-1.el6_2                                        
  rubygem-parseconfig.noarch 0:0.5.2-4.el6_0                                    
  rubygem-rest-client.noarch 0:1.6.1-2.el6_2                                    
  rubygem-sshkey.noarch 0:1.3.0-1.el6_2                                         
  rubygems.noarch 0:1.3.7-1.el6                                                 

Complete!
# 

I am now working on RHEL5
Comment 4 Troy Dawson 2012-06-07 18:04:25 EDT
According to this bugzilla,
https://bugzilla.redhat.com/show_bug.cgi?id=822716
 there are not new rhc rpm's for RHEL5 this last sprint, and so the dependancies for RHEL5 have not broken.
I believe this bug is fixed and I am passing it on to QA.
Comment 5 Meng Bo 2012-06-08 07:18:20 EDT
checked on latest openshift repo, all the dependencies can be resolved without epel.

Note You need to log in before you can comment on or make changes to this bug.